'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isFunction = isFunction;
/**
 *
 * @type {Proxy}
 */
// export let logger = console.log;
var logger = exports.logger = new Proxy({}, {
  get: function get(target, logLevel, receiver) {
    if (logLevel in {}) {
      return {}[logLevel];
    }
    // return (loggingString) => console.log(`[${new Date()} ${logLevel.toUpperCase()}] : ${loggingString}`);
    return function (loggingString) {
      return console.log('[' + new Date() + '] : ' + loggingString);
    };
  }
});

/**
 *
 * @param size
 * @returns {Array}
 */
var range = exports.range = function range(size) {
  var tmp = [];
  for (var i = 0; i < size; i++) {
    tmp.push(i);
  }
  return tmp;
};

function isFunction(x) {
  return typeof x === 'function';
}